Redmine - Defect #14401

Filtering issues on "related to" may ignore other filters
2013-07-05 19:55 - Joel SCHAAL

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 2.3.3

Resolution: Fixed Affected version: 2.3.0
Description

When performing a search (for issues) using the filter related to, if there is another filter, like Status this other filter seems not to be

taken in account.
Example :

screenshot-issues.png

Associated revisions

Revision 12058 - 2013-07-28 17:29 - Jean-Philippe Lang

Filtering issues on "related to" may ignore other filters (#14401).

Revision 12062 - 2013-07-28 22:45 - Jean-Philippe Lang
Merged r12058 from trunk (#14401).

History

#1 - 2013-07-05 20:18 - Etienne Massip

- Status changed from New to Needs feedback

- Priority changed from High to Normal

Works fine on Redmine.org, it might very well be a plugin issue.

Could you please give more details according to SubmittingBugs?

#2 - 2013-07-05 22:31 - Joel SCHAAL

| cannot update the description, so | post those information here :

Environment:
Redmine version
Ruby version
Rails version
Environment
Database adapter
Redmine plugins:
redmine_didyoumean

redmine_issue_checklist
redmine_mylyn_connector

redmine_screenshot_paste
redmine_theme_changer
| have tried myself and it seems it does not work here either : Related to 13947, but not new

#3 - 2013-07-08 15:44 - Joel SCHAAL

Is there another feedback needed ?
| cannot change the status of this issue...

#4 - 2013-07-09 06:12 - Etienne Massip

- Status changed from Needs feedback to Confirmed
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs
http://www.redmine.org/projects/redmine/issues?utf8=%E2%9C%93&set_filter=1&f%5B%5D=status_id&op%5Bstatus_id%5D=%21&v%5Bstatus_id%5D%5B%5D=1&f%5B%5D=relates&op%5Brelates%5D=%3D&v%5Brelates%5D%5B%5D=13947&f%5B%5D=&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=subject&c%5B%5D=updated_on&c%5B%5D=category&group_by=
http://www.redmine.org/projects/redmine/issues?utf8=%E2%9C%93&set_filter=1&f%5B%5D=status_id&op%5Bstatus_id%5D=%21&v%5Bstatus_id%5D%5B%5D=1&f%5B%5D=relates&op%5Brelates%5D=%3D&v%5Brelates%5D%5B%5D=13947&f%5B%5D=&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=subject&c%5B%5D=updated_on&c%5B%5D=category&group_by=
http://www.redmine.org/projects/redmine/issues?utf8=%E2%9C%93&set_filter=1&f%5B%5D=status_id&op%5Bstatus_id%5D=%21&v%5Bstatus_id%5D%5B%5D=1&f%5B%5D=relates&op%5Brelates%5D=%3D&v%5Brelates%5D%5B%5D=13947&f%5B%5D=&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=subject&c%5B%5D=updated_on&c%5B%5D=category&group_by=

- Target version set to Candidate for next minor release

Confirmed on redmine,org.

#5 - 2013-07-28 17:30 - Jean-Philippe Lang

- Subject changed from Search using related to ignores other filters to Filtering issues on "related to" may ignore other filters
- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.3.3

- Resolution set to Fixed

Fixed in r12058, thanks for pointing this out.

#6 - 2013-07-28 22:45 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

#7 - 2013-07-29 15:23 - Joel SCHAAL

No problem and thank you for correcting it ! :-)
